> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tariffs

> Retrieve all tariffs



## OpenAPI

````yaml get /v1/tariffs
openapi: 3.0.0
info:
  title: Tariffs API
  version: 1.0.0
  description: API for managing tariffs and fee calculations
servers: []
security:
  - bearerAuth: []
tags:
  - name: Tariffs
    description: Tariff management operations
  - name: Fee Ranges
    description: Fee range operations
  - name: Fee Calculation
    description: Fee calculation operations
  - name: Dictionaries
    description: Dictionary data operations
paths:
  /v1/tariffs:
    get:
      tags:
        - Tariffs
      summary: List tariffs
      description: Retrieve all tariffs
      parameters:
        - name: active
          in: query
          schema:
            type: boolean
        - name: name
          in: query
          schema:
            type: string
        - name: search
          in: query
          schema:
            type: string
      responses:
        '200':
          description: List of tariffs
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Tariff'
components:
  schemas:
    Tariff:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
        fallback_tariff_id:
          type: string
          format: uuid
        active:
          type: boolean
        default:
          type: boolean
        fee_ranges:
          type: array
          items:
            $ref: '#/components/schemas/FeeRange'
        velocity_rules:
          type: array
          items:
            $ref: '#/components/schemas/VelocityRule'
        created_at:
          type: string
          format: date-time
        created_by:
          type: string
          format: uuid
    FeeRange:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tariff_id:
          type: string
          format: uuid
        range_start:
          type: number
          minimum: 0
        range_end:
          type: number
          minimum: 0
        fixed_fee:
          type: number
          minimum: 0
        percent_fee:
          type: number
          minimum: 0
        method:
          type: string
          enum:
            - fixed
            - percentage
            - greater
            - lesser
            - sum
        min_fee:
          type: number
          minimum: 0
        max_fee:
          type: number
          minimum: 0
        media:
          type: string
        asset:
          type: string
        from_channel:
          type: string
        to_channel:
          type: string
        valid_from:
          type: string
          format: date-time
        valid_to:
          type: string
          format: date-time
        active:
          type: boolean
    VelocityRule:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          enum:
            - transaction_count
            - amount
        interval:
          type: string
          enum:
            - once
            - daily
            - weekly
            - monthly
            - annually
        limit:
          type: number
          minimum: 0
        active:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````